Subject: Ian Jackson's availability over the next weeks/months

From: Ian Jackson <[email-masked]>
Date: Thu, 12 Sep 96 01:21 BST

It's coming up to my thesis deadline (well, my funding is starting to
look thin), so I'll be spending somewhat less time on Debian over the
next few weeks/months.

I'm about to release dpkg 1.4.0, which will probably be the last one
for several weeks.  I'm going to be away for a week or so soon, and
very busy househunting, jobhunting and writing up the rest of the
time.

Expect replies to your email to take a long time.  I really appreciate
it when people answer each other's questions on debian-devel about
dpkg &c., even if some of them are wrong.  I can always post saying
`Joe Smith is right' :-).

If there is a grievous bug in dpkg (or my other packages) then someone
else may have to fix it.  If you wish to do this please
 (a) be sure you understand the code,
 (b) make the minimal fix (obviously) until I can get round to it,
 (c) mail the patch and rationale to maintonly@bugs or submit@bugs,
 (d) use version numbers like 1.4.0.1 (ie, add a new component) and
 (e) correspond on debian-devel to avoid simultaneous releases.
Please don't make releases with any major changes.

If the policy or programmers' manuals need updating then Guy or Bruce
or someone ought to approve the change.

I will still be reading debian-devel and my email, and if something
really needs my input I'll pop up and pontificate.

Things that I'm really sorry I haven't got round to in dpkg are:

* Configuration files (rc files) for dpkg/dselect, and associated
extra configurability.  I want this done the way I have in mind, so
I'd like it left to me.

* New user interface for dselect.  This is potentially something
someone else could write.  It only has to replace the `select' part of
dselect, and integration can be done some other time.  While testing
it could even be a separate program.

* System administrators' manual, and complementarily the manpage
dpkg(8).  If someone else wants to write this, fine, but you have to
be _very_ familiar with the way dpkg works.  I don't have the time to
spend editing and correcting something in detail, so if you get it
wrong you'll just get a message back from me saying `sorry, it's
techically inaccurate, I'm not shipping it.'

* See the WISHLIST (TODO in the source package).  There are many
things there that individually wouldn't take up so much time ...

I expect to be in a new job and house by the end of November, and a
month or two after that I expect to be with you again in full.

Ian.

PS: I feel really uncomfortable putting my name in the Subject line
like that :-).